"""
The Puzzle
4 Chalices are labelled A,B, C, D  
Only one is a real diamond encrusted chalice from medieval times. 
However there is a clue as to which chalice is the real one: 
        If you count the chalices in the order ABCDCBABCDCBA 
        ....and so on 
        The real authentic chalice is the 101st chalice. 
Which one is the real chalice? <br>

Pseudo-Code
#Initialise the conditions
numberChalices = 4; realChalice = 101;
Create a list of 4 letters: chaliceList=  [A,B,C,D]	#’A’ is 65 in ASCII
#Set up the pattern of counting the chalices
For i = 3 to 1 {
	Make a backward list of [C,B,A]
}
For i = 2 to 4 {
	Make a forward list of [B,C,D]
}
While length of chaliceList < 101 {
	Append backward list
	Append forward list
}
101st element of chaliceList will be the real chalice


"""
#-------------------------------------------------------------------------------------------------------
#Initialise the problem. This can be later enhanced by asking the user.
patternString = "012321"
realLocation = 101

#Find position in pattern and translate to a letter
stringPosition = realLocation % len(patternString)
patternPosition = int(patternString[stringPosition - 1])
nameOfLocation = chr(65 + patternPosition)

print("\nReal Location : ", realLocation, "\n")
print("Real location at position", nameOfLocation)







        
        

       

